## golang-github-twstrike-otr3 0.0~git20161015.0.744856d

=== Makefile ===
GO_VERSION=$(shell go version | grep  -o 'go[[:digit:]]\.[[:digit:]]')


default: deps lint test

lint:
ifeq ($(GO_VERSION), go1.3)
	echo "Your version of Go is too old for running lint"
else
ifeq ($(GO_VERSION), go1.4)
	echo "Your version of Go is too old for running lint"
else
	golint ./...
endif
endif

test:
	go test -cover -v ./...

test-slow:
	make -C ./compat libotr-compat

ci: lint test test-slow

deps:
ifeq ($(GO_VERSION), go1.3)
else
ifeq ($(GO_VERSION), go1.4)
else
	go get github.com/golang/lint/golint
endif
endif
	go get golang.org/x/tools/cmd/cover

cover:
	go test . -coverprofile=coverage.out
	go tool cover -html=coverage.out

=== compat/Makefile ===
TEST_HELPER = /tmp/a.out

LIBOTR_TARGET = /tmp/libotr2-3.0.0
CFLAGS = -I$(LIBOTR_TARGET)/include/libotr
LDFLAGS =  -L$(LIBOTR_TARGET)/lib
LDLIBS = -lotr

default: libotr-compat

libotr-compat: $(TEST_HELPER)
	LD_LIBRARY_PATH=$(LIBOTR_TARGET)/lib \
	go test -v \
	-run=TestAgainstLibOTR \
	-tags="libotr2" \
	-ldflags "-X github.com/twstrike/otr3/compat.numIterations 1000"

$(TEST_HELPER): $(LIBOTR_TARGET) libotr_test_helper.c
	$(CC) libotr_test_helper.c $(LDLIBS) $(LDFLAGS) $(CFLAGS) -o $(TEST_HELPER)

$(LIBOTR_TARGET):
	$(MAKE) -C ../libotr-test $(LIBOTR_TARGET)

clean: clean-target
	$(RM) $(TEST_HELPER)

clean-target:
	rm -rf $(LIBOTR_TARGET)

=== libotr-test/Makefile ===
LIBOTR_SRC = ./libotr-src
LIBOTR_TARGET = /tmp/libotr2-3.0.0
LIBORT = $(LIBOTR_TARGET)/lib/libotr.a

CFLAGS = -I$(LIBOTR_TARGET)/include/libotr
LDFLAGS =  -L$(LIBOTR_TARGET)/lib
LDLIBS = -lotr

GIT = git -C $(LIBOTR_SRC)

default:
	echo "No default rule"

$(LIBOTR_SRC):
	git clone git://git.otr.im/libotr.git $(LIBOTR_SRC)

$(LIBOTR_TARGET): $(LIBOTR_SRC)
	$(GIT) clean -fd
	$(GIT) checkout 63802c9
	cd $(LIBOTR_SRC) && autoreconf -s -i
	cd $(LIBOTR_SRC) && ./configure --with-pic --prefix=$(LIBOTR_TARGET)
	$(MAKE) -C $(LIBOTR_SRC) install

clean: clean-target clean-libotr-src

clean-libotr-src:
	rm -rf $(LIBOTR_SRC)

clean-target:
	rm -rf $(LIBOTR_TARGET)

=== debian/changelog ===
golang-github-twstrike-otr3 (0.0~git20161015.0.744856d-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 09 Jan 2021 17:01:32 +0100

golang-github-twstrike-otr3 (0.0~git20161015.0.744856d-3) unstable; urgency=medium

  * Add patch from upstream to fix builds with Go 1.11.
    Thanks to Ola Bini for the quick response.
    Closes: #918407

 -- Sascha Steinbiss <satta@debian.org>  Sun, 06 Jan 2019 20:30:39 +0000

golang-github-twstrike-otr3 (0.0~git20161015.0.744856d-2) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Sascha Steinbiss ]
  * Use debhelper 11.
  * Replace priority extra with optional.
  * Bump Standards-Version.
  * Fix whitespace issue in long description.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 04 Jul 2018 18:05:34 +0200

golang-github-twstrike-otr3 (0.0~git20161015.0.744856d-1) unstable; urgency=medium

  * Initial release (Closes: #841892)

 -- Sascha Steinbiss <satta@debian.org>  Tue, 25 Oct 2016 08:32:57 +0200

=== debian/control ===
Source: golang-github-twstrike-otr3
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <satta@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-go
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-twstrike-otr3
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-twstrike-otr3.git
Homepage: https://github.com/twstrike/otr3
XS-Go-Import-Path: github.com/twstrike/otr3

Package: golang-github-twstrike-otr3-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go
Description: Go implementation of the OTR 3 protocol
 OTR3 implements version 3 of the OTR standard. Implements feature parity
 with libotr 4.1.0.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_test:
	cp test_resources/* /tmp
	dh_auto_test --
